package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.ProcessWorkingStep;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ProcessWorkingStepService extends BaseService<ProcessWorkingStep> {

    List<ProcessWorkingStep> getEveryStepNumber(String area, String startTime, String endTime);

    List<String> getEveryStepNumberGroupByLotNo(String area);

    List<ProcessWorkingStep> getEveryStepNumberByLotNo(List<String> lotNoList);


}
